OpenNMS API 1.2.9

## org.opennms.netmgt.collectd
Interface ServiceCollector

All Known Implementing Classes:
  SnmpCollector

public interface ServiceCollector

The Collector class...

Author:
  Mike , OpenNMS

Field Summary
`static int` `COLLECTION_FAILED`
`static int` `COLLECTION_SUCCEEDED`
`static int` `COLLECTION_UNKNOWN` Status of the collector object.
`static java.lang.String[]` `statusType`

Method Summary
`int` `collect(NetworkInterface iface, EventProxy eproxy, java.util.Map parameters)` Invokes a collection on the object.
`void` `initialize(java.util.Map parameters)`
`void` `initialize(NetworkInterface iface, java.util.Map parameters)`
`void` `release()`
`void` `release(NetworkInterface iface)`

Field Detail

### COLLECTION_UNKNOWN

    public static final int COLLECTION_UNKNOWN

  Status of the collector object.

  See Also:
    Constant Field Values

### COLLECTION_SUCCEEDED

    public static final int COLLECTION_SUCCEEDED

See Also:
  Constant Field Values

### COLLECTION_FAILED

    public static final int COLLECTION_FAILED

See Also:
  Constant Field Values

### statusType

    public static final java.lang.String[] statusType

Method Detail

### initialize

    public void initialize(java.util.Map parameters)

### release

    public void release()

### initialize

    public void initialize(NetworkInterface iface,
                           java.util.Map parameters)

### release

    public void release(NetworkInterface iface)

### collect

    public int collect(NetworkInterface iface,
                       EventProxy eproxy,
                       java.util.Map parameters)

  Invokes a collection on the object.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.